GDB (xrefs)

Public Attributes | List of all members
_pspace_smob Struct Reference

## Public Attributes
gdb_smob | base
struct program_space * | pspace
SCM | pretty_printers
SCM | containing_scm

## Detailed Description

Definition at line 34 of file scm-progspace.c.

## Member Data Documentation

## ◆ base

gdb_smob _pspace_smob::base

Definition at line 37 of file scm-progspace.c.

## ◆ containing_scm

SCM _pspace_smob::containing_scm

Definition at line 48 of file scm-progspace.c.

Referenced by psscm_pspace_smob_from_pspace(), psscm_release_pspace(), and psscm_scm_from_pspace().

## ◆ pretty_printers

SCM _pspace_smob::pretty_printers

Definition at line 43 of file scm-progspace.c.

Referenced by gdbscm_progspace_pretty_printers(), gdbscm_set_progspace_pretty_printers_x(), psscm_make_pspace_smob(), and psscm_pspace_smob_pretty_printers().

## ◆ pspace

struct program_space* _pspace_smob::pspace

Definition at line 40 of file scm-progspace.c.

Referenced by gdbscm_progspace_filename(), gdbscm_progspace_objfiles(), gdbscm_progspace_valid_p(), psscm_handle_pspace_deleted(), psscm_is_valid(), psscm_make_pspace_smob(), psscm_print_pspace_smob(), psscm_pspace_smob_from_pspace(), and psscm_release_pspace().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-progspace.c